Summary: A program which will display a fortune.
Name: fortune-mod
Version: 1.0
Release: 11%{?_dist_release}
License: BSD
Group: Applications/Other
Source: ftp://sunsite.unc.edu/pub/Linux/games/amusements/fortune/fortune-mod-9708.tar.gz
Patch0: fortune-mod-offense.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Fortune-mod contains the ever-popular fortune program, which will
reveal a pithy quote or bit of advice. Fun-loving system
administrators can add fortune to users' .login files, so that the
users get their dose of wisdom each time they log in.

Install fortune if you want a program which will bestow these random
bits o' wit.

%prep
%setup -q -n fortune-mod-9708
%patch0 -p1 -b .mike

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{games,sbin,share/games/fortune}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man6}

make    COOKIEDIR=/usr/share/games/fortunes fortune/fortune.man
make	FORTDIR=$RPM_BUILD_ROOT%{_bindir} \
	COOKIEDIR=$RPM_BUILD_ROOT/usr/share/games/fortunes \
	BINDIR=$RPM_BUILD_ROOT/usr/sbin \
	BINMANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	FORTMANDIR=$RPM_BUILD_ROOT%{_mandir}/man6 \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog TODO
%{_bindir}/fortune
/usr/sbin/strfile
/usr/sbin/unstr
/usr/share/games/fortunes
%{_mandir}/man*/*

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.0-11vl5
- applied new versioning policy

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-11vl4
- rebuilt with new toolchains
- s/Copyright/License/
- changed Group to Applications/Other
- used %{_bindir} instead of /usr/games

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-11vl3
- rebuild to remove rpmlib dependancy

* Fri Jun 08 2001 <sagami@vinelinux.org>
- 1.0-11vl2: install manpages into %%{_mandir}

* Tue Nov  7 2000 Kazuhisa TAKEI <takei@vinelinux.org> fortune-mod-1.0-11vl1
- rebuild for Vine Linux

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jun 25 1999 Guido Flohr <gufl0000@stud.uni-sb.de>
- create fortune manpage without buildroot before installation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
